#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kpilotConfigDialog_sync.ui'
**
** Created: Wed Nov 12 21:51:33 2008
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kpilotConfigDialog_sync.h"

#include <qvariant.h>
#include <qcheckbox.h>
#include <qcombobox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a SyncConfigWidget as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
SyncConfigWidget::SyncConfigWidget( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "SyncConfigForm" );
    SyncConfigFormLayout = new QGridLayout( this, 1, 1, 0, 6, "SyncConfigFormLayout"); 

    fFullSyncCheck = new QCheckBox( this, "fFullSyncCheck" );
    fFullSyncCheck->setChecked( TRUE );

    SyncConfigFormLayout->addWidget( fFullSyncCheck, 1, 1 );

    fSpecialSync = new QComboBox( FALSE, this, "fSpecialSync" );

    SyncConfigFormLayout->addWidget( fSpecialSync, 0, 1 );

    textLabel1_2 = new QLabel( this, "textLabel1_2" );

    SyncConfigFormLayout->addWidget( textLabel1_2, 0, 0 );
    spacer3 = new QSpacerItem( 20, 170, QSizePolicy::Minimum, QSizePolicy::Expanding );
    SyncConfigFormLayout->addItem( spacer3, 4, 1 );

    fConflictResolution = new QComboBox( FALSE, this, "fConflictResolution" );

    SyncConfigFormLayout->addWidget( fConflictResolution, 3, 1 );

    textLabel1 = new QLabel( this, "textLabel1" );
    textLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)5, 0, 0, textLabel1->sizePolicy().hasHeightForWidth() ) );

    SyncConfigFormLayout->addWidget( textLabel1, 3, 0 );

    fScreenlockSecure = new QCheckBox( this, "fScreenlockSecure" );
    fScreenlockSecure->setChecked( TRUE );

    SyncConfigFormLayout->addWidget( fScreenlockSecure, 2, 1 );
    languageChange();
    resize( QSize(593, 332).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    textLabel1_2->setBuddy( fSpecialSync );
    textLabel1->setBuddy( fConflictResolution );
}

/*
 *  Destroys the object and frees any allocated resources
 */
SyncConfigWidget::~SyncConfigWidget()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SyncConfigWidget::languageChange()
{
    setCaption( tr2i18n( "KPilot Options" ) );
    fFullSyncCheck->setText( tr2i18n( "Do full sync when chan&ging PCs" ) );
    QWhatsThis::add( fFullSyncCheck, tr2i18n( "<qt>Check this box to perform a full sync when your last sync was performed with another PC or system, to guarantee the completeness of your data.</qt>" ) );
    fSpecialSync->clear();
    fSpecialSync->insertItem( tr2i18n( "HotSync (sync all changes)" ) );
    fSpecialSync->insertItem( tr2i18n( "FullSync (sync also unchanged records)" ) );
    fSpecialSync->insertItem( tr2i18n( "Copy PC to Handheld" ) );
    fSpecialSync->insertItem( tr2i18n( "Copy Handheld to PC" ) );
    QWhatsThis::add( fSpecialSync, tr2i18n( "<qt>Select in this list the synchronization type that KPilot will use as default. Possible values are:<br>\"HotSync\", to run all selected conduits, and sync the databases with a modified flag set, updating the modified records only;<br>\"FullSync\" to run all selected conduits, and sync all databases, reading all records, and performing a full backup;<br>\"Copy PC to handheld\" to run all conduits and sync all databases, but instead of merging the information from both sources, copy the PC data to the handheld;<br>\"Copy handheld to PC\" to run all conduits and sync all databases, but instead of merging the information from both sources, copy the handheld data to the PC.</qt>" ) );
    textLabel1_2->setText( tr2i18n( "&Default sync:" ) );
    fConflictResolution->clear();
    fConflictResolution->insertItem( tr2i18n( "Ask User" ) );
    fConflictResolution->insertItem( tr2i18n( "Do Nothing" ) );
    fConflictResolution->insertItem( tr2i18n( "Handheld Overrides" ) );
    fConflictResolution->insertItem( tr2i18n( "PC Overrides" ) );
    fConflictResolution->insertItem( tr2i18n( "Values From Last Sync (if possible)" ) );
    fConflictResolution->insertItem( tr2i18n( "Use Both Entries" ) );
    QWhatsThis::add( fConflictResolution, tr2i18n( "<qt>Select in this list how conflicting entries (entries which were edited both on your handheld and on the PC) are resolved. Possibly values are  \"Ask User\" to let you decide case by case, \"Do Nothing\" to allow the entries to be different, \"PC overrides\", \"Handheld overrides\", \"Use values from last sync\" and \"Use both entries\" to create a new entry on both the PC and handheld. Note that the conflict resolution option selected here can be overridden by conduits that have their own conflict resolution configuration.</qt>" ) );
    textLabel1->setText( tr2i18n( "Conflict &resolution:" ) );
    fScreenlockSecure->setText( tr2i18n( "Do not sync when screensaver is active" ) );
    QWhatsThis::add( fScreenlockSecure, tr2i18n( "<qt>Check this box to prevent KPilot from syncing your handheld while the screensaver is active: this is a security measure to prevent others from syncing <i>their</i> handhelds with your data.  This option must be disabled when you use a different desktop, since KPilot is not aware of screensavers other than KDE's.</qt>" ) );
}

#include "kpilotConfigDialog_sync.moc"
